Installing LibreOffice on Adélie 1.0-alpha4

SONAME                        PACKAGE                 REQ BY                RESOLUTION
libclucene-contribs-lib.so.1  clucene-contribs        libreoffice-common    package clucene{,-contribs}
libclucene-core.so.1          clucene                 libreoffice-common    package clucene{,-contribs}

Steps:

  1. Update /etc/apk/repositories to look like the following:
    
    https://distfiles.adelielinux.org/adelie/1.0-alpha4/system/
    https://distfiles.adelielinux.org/adelie/1.0-alpha4/user/
    @alpine-community https://dl-3.alpinelinux.org/alpine/v3.7/community/
    
    
  2. Install new packages: clucene, clucene-contribs (see patches below)
  3. # apk add libreoffice@alpine-community

New packages needed


Last modified on 16 Jan 2018 at 12:18:14 AM ET